<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.DeclarationSorter.DeclarationSorter</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../DeclarationSorter.html" >DeclarationSorter</a>
</div><div class="class-name">class DeclarationSorter

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/DeclarationSorter.py.html" target="detail">../Synopsis/DeclarationSorter.py</a></div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line60" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="DeclarationSorter-inheritance" src="DeclarationSorter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#DeclarationSorter-inheritance_map" />
<map name="DeclarationSorter-inheritance_map"></map>
 <div class="doc">Sort declarations by type and accessibility.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationSorter.html#_section_of" >_section_of</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>, <span class="variable">name</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter._section_of" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line85" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a section name for the given declaration.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationSorter.html#_add_declaration" >_add_declaration</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>, <span class="variable">section</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter._add_declaration" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line98" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds the given declaration with given name and section.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__sections">__sections</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line69" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__sorted_keys">__sorted_keys</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line70" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="struct_as_class">struct_as_class</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line63" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="group_as_section">group_as_section</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line64" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">declarations</span> = <span class="value">None</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">args</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line66" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__iter__">__iter__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.__iter__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line78" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__getitem__">__getitem__</a>(<span class="variable">self</span>, <span class="variable">i</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.__getitem__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line79" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="get">get</a>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="variable">args</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.get" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line80" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="has_key">has_key</a>(<span class="variable">self</span>, <span class="variable">k</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.has_key" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line81" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="keys">keys</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.keys" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line82" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="values">values</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.values" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line83" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.visit_declaration" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line107" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_builtin">visit_builtin</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.visit_builtin" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line110" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_macro">visit_macro</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.visit_macro" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line111" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_forward">visit_forward</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.visit_forward" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line113" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_group">visit_group</a>(<span class="variable">self</span>, <span class="variable">group</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.visit_group" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line118" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_scope">visit_scope</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.visit_scope" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line125" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class_template">visit_class_template</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.visit_class_template" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line127" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function">visit_function</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.visit_function" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line129" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function_template">visit_function_template</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter.visit_function_template" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line131" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Protected Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_section_of">_section_of</a>(<span class="variable">self</span>, <span class="variable">decl</span>, <span class="variable">name</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter._section_of" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line85" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a section name for the given declaration.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_add_declaration">_add_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>, <span class="variable">section</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.DeclarationSorter.DeclarationSorter._add_declaration" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/DeclarationSorter.py.html#line98" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds the given declaration with given name and section.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:54 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
